> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Volume Usd

> Retrieve the 'volume-usd' metric for supported projects.



## OpenAPI

````yaml /openapi.json get /v1/metrics/volume-usd
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics/volume-usd:
    get:
      summary: Volume Usd
      description: Retrieve the 'volume-usd' metric for supported projects.
      operationId: MetricController_getResults_v1_volume_usd
      parameters:
        - name: project
          in: query
          required: true
          description: Project slug (comma-separated for multiple).
          schema:
            type: string
            enum:
              - ZeroFi
              - byreal
              - goonfi
              - humidifi
              - lifinity
              - meteroa
              - orca
              - pumpfun
              - raydium
              - solfi
              - stabble
              - tessera
            example: ZeroFi
          examples:
            ZeroFi:
              value: ZeroFi
              summary: ZeroFi
            byreal:
              value: byreal
              summary: Byreal
            goonfi:
              value: goonfi
              summary: Goonfi
            humidifi:
              value: humidifi
              summary: Humidifi
            lifinity:
              value: lifinity
              summary: Lifinity
            meteroa:
              value: meteroa
              summary: Meteroa
            orca:
              value: orca
              summary: Orca
            pumpfun:
              value: pumpfun
              summary: Pumpfun
            raydium:
              value: raydium
              summary: Raydium
            solfi:
              value: solfi
              summary: Solfi
            stabble:
              value: stabble
              summary: Stabble
            tessera:
              value: tessera
              summary: Tessera
            multi:
              value: ZeroFi,byreal
              summary: ZeroFi + Byreal
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              example:
                projectName:
                  - date: '2025-08-10'
                    value: 123456.789
                  - date: '2025-08-11'
                    value: 234567.89
                  - date: '2025-08-12'
                    value: 345678.901
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````